%define evo_version 2.32.0
%define eds_version 2.32.0
%define libmapi_version 0.9-8
%define intltool_version 0.35.5

%define evo_base_version 2.32
%define eds_api_version 1.2

%define strict_build_settings 0

### Abstract ###

Name: evolution-mapi
Version: 0.32.2
Release: 2%{?dist}
Group: Applications/Productivity
Summary: Evolution extension for MS Exchange 2007 servers
License: LGPLv2+
URL: http://www.gnome.org/projects/evolution-mapi/
Source: http://ftp.gnome.org/pub/gnome/sources/evolution-mapi/0.32/evolution-mapi-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

### Patches ###

Patch1: evolution-mapi-0.32.2-gethierarchytable-fix.patch

### Dependencies ###

Requires: evolution >= %{evo_version}
Requires: evolution-data-server >= %{eds_version}

### Build Dependencies ###

BuildRequires: evolution-data-server-devel >= %{eds_version}
BuildRequires: evolution-devel >= %{evo_version}
BuildRequires: gettext
BuildRequires: intltool >= %{intltool_version}
BuildRequires: libtalloc-devel
BuildRequires: openchange-devel >= %{libmapi_version}
BuildRequires: samba4-devel

%description
This package allows Evolution to interact with MS Exchange 2007 servers.

%package devel
Summary: Development files for building against %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: evolution-data-server-devel >= %{eds_version}
Requires: evolution-devel >= %{evo_version}
Requires: openchange-devel >= %{libmapi_version}

%description devel
Development files needed for building things which link against %{name}.

%prep
%setup -q
%patch1 -p1 -b .gethierarchytable-fix

%build

# Add stricter build settings here as the source code gets cleaned up.
# We want to make sure things like compiler warnings and avoiding deprecated
# functions in the GNOME/GTK+ libraries stay fixed.
#
# Please file a bug report at bugzilla.gnome.org if these settings break
# compilation, and encourage the upstream developers to use them.

%if %{strict_build_settings}
CFLAGS="$CFLAGS \
	-DG_DISABLE_DEPRECATED=1 \
	-DPANGO_DISABLE_DEPRECATED=1 \
	-DGDK_PIXBUF_DISABLE_DEPRECATED=1 \
	-DGDK_DISABLE_DEPRECATED=1 \
	-DGTK_DISABLE_DEPRECATED=1 \
	-DEDS_DISABLE_DEPRECATED=1 \
	-Wdeclaration-after-statement \
	-Werror-implicit-function-declaration"
%endif

%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT/%{_libdir} -name '*.la' -exec rm {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

# COPYING has the wrong license.  Do not include it until fixed.

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog INSTALL README
%{_libdir}/libexchangemapi-1.0.so.*
%{_libdir}/evolution/%{evo_base_version}/plugins/*
%{_libdir}/evolution-data-server-%{eds_api_version}/camel-providers/libcamelmapi.so
%{_libdir}/evolution-data-server-%{eds_api_version}/camel-providers/libcamelmapi.urls
%{_libdir}/evolution-data-server-%{eds_api_version}/extensions/libebookbackendmapi.so
%{_libdir}/evolution-data-server-%{eds_api_version}/extensions/libecalbackendmapi.so
%{_datadir}/evolution-data-server-%{evo_base_version}/mapi

%files devel
%defattr(-,root,root,-)
%{_includedir}/evolution-data-server-%{evo_base_version}/mapi
%{_libdir}/libexchangemapi-1.0.so
%{_libdir}/pkgconfig/libexchangemapi-1.0.pc

%changelog
* Mon May 02 2011 Milan Crha <mcrha@redhat.com> - 0.32.2-2
- Fix GetHierarchyTable call (remove TableFlags_UseUnicode flag)

* Mon Feb 07 2011 Milan Crha <mcrha@redhat.com> - 0.32.2-1
- Update to 0.32.2

* Mon Nov 15 2010 Milan Crha <mcrha@redhat.com> - 0.32.1-1
- Update to 0.32.1

* Wed Sep 29 2010 jkeating - 0.32.0-1.1
- Rebuilt for gcc bug 634757

* Mon Sep 27 2010 Milan Crha <mcrha@redhat.com> - 0.32.0-1
- Update to 0.32.0

* Mon Sep 13 2010 Milan Crha <mcrha@redhat.com> - 0.31.92-1
- Update to 0.31.92
- Remove patch for Gnome bug #627999 (fixed upstream)
- Bump openchange requirement to 0.9-8

* Mon Aug 30 2010 Milan Crha <mcrha@redhat.com> - 0.31.91-1
- Update to 0.31.91
- Add patch for Gnome bug #627999 (Cannot autocomplete)

* Mon Aug 16 2010 Matthew Barnes <mbarnes@redhat.com> - 0.31.90-1
- Update to 0.31.90

* Tue Aug 02 2010 Matthew Barnes <mbarnes@redhat.com> - 0.31.6-1
- Update to 0.31.6
- Roll back evo_base_version to 2.32.

* Tue Jul 13 2010 Milan Crha <mcrha@redhat.com> - 0.31.5-1
- Update to 0.31.5

* Mon Jun 07 2010 Milan Crha <mcrha@redhat.com> - 0.31.3-1
- Update to 0.31.3

* Mon May 24 2010 Milan Crha <mcrha@redhat.com> - 0.31.2-1
- Update to 0.31.2

* Mon May 03 2010 Milan Crha <mcrha@redhat.com> - 0.31.1-1
- Update to 0.31.1

* Mon Feb 08 2010 Milan Crha <mcrha@redhat.com> - 0.29.90-1
- Update to 0.29.90

* Mon Jan 25 2010 Milan Crha <mcrha@redhat.com> - 0.29.6-1
- Update to 0.29.6

* Tue Jan 12 2010 Milan Crha <mcrha@redhat.com> - 0.29.5-1
- Update to 0.29.5

* Sat Jan 09 2010 Matthew Barnes <mbarnes@redhat.com> - 0.29.4-2
- Rebuild against OpenChange 0.9.

* Mon Dec 21 2009 Milan Crha <mcrha@redhat.com> - 0.29.4-1
- Update to 0.29.4

* Mon Nov 30 2009 Milan Crha <mcrha@redhat.com> - 0.29.3-1
- Update to 0.29.3
- Remove patch for Gnome bug #588453 (fixed upstream).
- Remove patch for Gnome bug #595260 (fixed upstream).
- Remove patch for Gnome bug #595355 (fixed upstream).
- Remove patch for Gnome bug #595480 (fixed upstream).

* Tue Sep 22 2009 Milan Crha <mcrha@redhat.com> - 0.28.0-1
- Update to 0.28.0
- Add patch for Gnome bug #588453 (slow retrieval of message IDs).
- Add patch for Gnome bug #595260 (crash in mapi_sync_deleted).
- Add patch for Gnome bug #595355 (crash and incorrect header parsing).
- Add patch for Gnome bug #595480 (crash on fetching GAL).

* Mon Sep 07 2009 Milan Crha <mcrha@redhat.com> - 0.27.92-1
- Update to 0.27.92

* Mon Aug 24 2009 Milan Crha <mcrha@redhat.com> - 0.27.91-1
- Update to 0.27.91

* Mon Aug 10 2009 Milan Crha <mcrha@redhat.com> - 0.27.90-1
- Update to 0.27.90

* Tue Jul 28 2009 Milan Crha <mcrha@redhat.com> - 0.27.5-2
- Add new libebookbackendmapigal.so to a list of installed files.
- Bump requirement of evolution and evolution-data-server to 2.27.5.

* Mon Jul 27 2009 Milan Crha <mcrha@redhat.com> - 0.27.5-1
- Update to 0.27.5

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Matthew Barnes <mbarnes@redhat.com> - 0.27.4-1
- Update to 0.27.4

* Thu Jul 02 2009 Matthew Barnes <mbarnes@redhat.com> - 0.27.3-4
- Remove redundant library flag from pkg-config file.

* Mon Jun 29 2009 Matthew Barnes <mbarnes@redhat.com> - 0.27.3-3
- Rebuild against mutated openchange (see RH bug #503783).

* Fri Jun 26 2009 Matthew Barnes <mbarnes@redhat.com> - 0.27.3-2
- Remove ldconfig calls since all the libraries we install are
  dlopen'ed modules (RH bug #586991).

* Mon Jun 15 2009 Matthew Barnes <mbarnes@redhat.com> - 0.27.3-1
- Update to 0.27.3

* Fri May 29 2009 Matthew Barnes <mbarnes@redhat.com> - 0.27.2-1
- Update to 0.27.2

* Mon May 04 2009 Matthew Barnes <mbarnes@redhat.com> - 0.27.1-1
- Update to 0.27.1
- Bump eds_major to 2.28.
- Bump evo and eds req's to 2.27.1.

* Mon Apr 13 2009 Matthew Barnes <mbarnes@redhat.com> - 0.26.1-1
- Update to 0.26.1

* Thu Mar 19 2009 Matthew Barnes <mbarnes@redhat.com> - 0.26.0.1-1
- Update to 0.26.0.1

* Mon Mar 16 2009 Matthew Barnes <mbarnes@redhat.com> - 0.26.0-1
- Update to 0.26.0

* Mon Mar 02 2009 Matthew Barnes <mbarnes@redhat.com> - 0.25.92-1
- Update to 0.25.92

* Thu Feb 26 2009 Matthew Barnes <mbarnes@redhat.com> - 0.25.91-3
- Formal package review cleanups.

* Thu Feb 19 2009 Matthew Barnes <mbarnes@redhat.com> - 0.25.91-2
- Add some missing build requirements.

* Mon Feb 16 2009 Matthew Barnes <mbarnes@redhat.com> - 0.25.91-1
- Update to 0.25.91

* Thu Feb 05 2009 Matthew Barnes <mbarnes@redhat.com> - 0.25.90-1
- Update to 0.25.90

* Mon Jan 19 2009 Matthew Barnes <mbarnes@redhat.com> - 0.25.5-1
- Update to 0.25.5

* Tue Jan 06 2009 Matthew Barnes <mbarnes@redhat.com> - 0.25.4-1
- Update to 0.25.4
- Handle translations.

* Mon Dec 15 2008 Matthew Barnes <mbarnes@redhat.com> - 0.25.3-1
- Update to 0.25.3

* Fri Dec 12 2008 Matthew Barnes <mbarnes@redhat.com> - 0.1-1
- Initial packaging of evolution-mapi.
